#!/usr/bin/python3
# -*- coding: utf-8 -*-

from setuptools import find_packages, setup

setup(
    name='fedmod',
    version='0.4.4',
    author='Dominika Hodovska',
    author_email='dhodovsk@redhat.com',
    maintainer='Nils Philippsen',
    maintainer_email='nils@redhat.com',
    description='Utilities for generating & maintaining modulemd files',
    long_description=(
        "fedmod provides tools for converting existing RPMs (most notably "
        "metapackages) into module definitions in Fedora's modulemd format."
    ),
    license='MIT',
    keywords='modularization modularity module modulemd fedora',
    url='https://pagure.io/modularity/fedmod',
    entry_points={
        'console_scripts': [
            'fedmod=_fedmod.cli:run'
        ]
    },
    install_requires=[
        'click',
        'click_completion',
        'requests',
        'requests-toolbelt',
        'lxml',
        'attrs',
        'PyYAML',
        'PyGObject',
    ],
    extras_require={
        'virtualenv': [
            'koji'  # Fedora koji RPMs don't have Python metadata
        ],
    },
    tests_require=[
        'pytest',
        'decorator',
        'responses',
    ],
    packages=find_packages(exclude=['tests']),
)
